Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request DELETE \ --url https://www.ninjachat.ai/api/api-keys \ --header 'Authorization: Bearer <token>'
import requests url = "https://www.ninjachat.ai/api/api-keys" headers = {"Authorization": "Bearer <token>"} response = requests.delete(url, headers=headers) print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}}; fetch('https://www.ninjachat.ai/api/api-keys', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "success": true, "message": "<string>" }
{ "error": { "message": "<string>", "type": "<string>", "code": "<string>", "param": "<string>" }, "message": "<string>", "code": "<string>", "request_id": "<string>" }
Revoke an API key. Revoked keys stop working immediately but remain visible in your key list.
API key starting with nj_sk_
The ID of the API key to revoke.
Key revoked.